Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.service
Class P13nContextHandler

    java.lang.Object
      com.bea.p13n.entitlements.service.P13nContextHandler

All Implemented Interfaces
  ServerLocal, Serializable, ContextHandler

    public class P13nContextHandler

extends Object
implements ContextHandler, Serializable, ServerLocal

This class provides a wrapper for passing optional arguments to the runtime `Authorization.isAccessAllowed()` method. An instance of this class is created using the `EntitlementHelper.createP13nContextHandler()` method. Within WLP, this class passes expression predicate attributes used during evaluation of entitlements.

See Also
  Serialized Form

Field Summary
`static P13nContextHandler` | `EMPTY`

Constructor Summary
`P13nContextHandler(String[] names, Object[] values)`

Method Summary
`String[]` | `getNames()`
`Object` | `getValue(String name)`
`ContextElement[]` | `getValues(String[] requested)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final P13nContextHandler EMPTY

Constructor Detail

### P13nContextHandler

    public P13nContextHandler(String[] names,
                              Object[] values)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `ContextHandler`

### getNames

    public String[] getNames()

  Specified by:
    `getNames` in interface `ContextHandler`

### getValue

    public Object getValue(String name)

  Specified by:
    `getValue` in interface `ContextHandler`

### getValues

    public ContextElement[] getValues(String[] requested)

  Specified by:
    `getValues` in interface `ContextHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved